Summary:	Rootkit Hunter
Summary(pl.UTF-8):	Program do poszukiwania rootkitów
Name:		rkhunter
Version:	1.4.0
Release:	1
License:	GPL
Group:		Applications
Source0:	http://downloads.sourceforge.net/rkhunter/%{name}-%{version}.tar.gz
# Source0-md5:	37b1ceb79a5ff3debca335d6550ac6b0
Source1:	%{name}.cron
Source2:	%{name}.conf
URL:		http://www.rootkit.nl/projects/rootkit_hunter.html
Requires:	binutils
Requires:	coreutils
Requires:	diffutils
Requires:	e2fsprogs
Requires:	wget
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rootkit scanner is scanning tool to ensure you for about 99.9%% you're
clean of nasty tools. This tool scans for rootkits, backdoors and
local exploits by running tests like:
 - MD5 hash compare
 - Look for default files used by rootkits
 - Wrong file permissions for binaries
 - Look for suspected strings in LKM and KLD modules
 - Look for hidden files
 - Optional scan within plaintext and binary files

Rootkit Hunter is released as GPL licensed project and free for
everyone to use.

%description -l pl.UTF-8
Skaner antyrootkitowy to narzędzie skanujące, aby upewnić się na
99.9%%, że jesteśmy wolni od brzydkich narzędzi. To narzędzie
poszukuje rootkitów, backdoorów i lokalnych eksploitów wykonując testy
w rodzaju:
 - porównywanie skrótów MD5
 - poszukiwanie plików domyślnie używanych przez rootkity
 - poszukiwanie niepoprawnych uprawnień dla binarek
 - poszukiwanie podejrzanych łańcuchów w modułach LKM i KLD
 - poszukiwanie ukrytych plików
 - opcjonalne przeszukiwanie plików tekstowych i binarnych

Rootkit Hunter jest wydany na licencji GPL i darmowy do używania przez
wszystkich.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/cron.daily,%{_datadir}/%{name}/scripts,%{_var}/lib/%{name}/{db,tmp},%{_var}/lib/%{name}/db/i18n}

install files/rkhunter $RPM_BUILD_ROOT%{_sbindir}
install files/i18n/* $RPM_BUILD_ROOT%{_var}/lib/%{name}/db/i18n
install files/*.dat $RPM_BUILD_ROOT%{_var}/lib/%{name}/db
install files/*.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc files/CHANGELOG files/README files/FAQ files/ACKNOWLEDGMENTS
%attr(750,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(750,root,root) /etc/cron.daily/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/scripts
%attr(750,root,root) %{_datadir}/%{name}/scripts/*
%dir %{_var}/lib/%{name}
%attr(770,root,root) %dir %{_var}/lib/%{name}/tmp
%dir %{_var}/lib/%{name}/db
%attr(640,root,root) %verify(not md5 mtime size) %{_var}/lib/%{name}/db/*.dat
%dir %{_var}/lib/%{name}/db/i18n
%attr(640,root,root) %verify(not md5 mtime size) %{_var}/lib/%{name}/db/i18n/*
%changelog
* Tue Dec 25 2012 witekfl <witekfl@poczta.onet.pl> adc230a
- 1.4.0

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 69515aa
- Up to 1.3.8

* Wed Aug 04 2010 Elan Ruusamäe <glen@pld-linux.org> 6192008
- release 2

* Sun Dec 20 2009 Adam Gołębiowski <adamg@pld-linux.org> c78ccbe
- updated to 1.3.6

* Fri Jan 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d70d5c8
- up to 1.3.4

* Sun Mar 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c176ef5
- up to 1.3.2

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 18d71f8
- more cleanups

* Thu Jan 03 2008 shadzik <shadzik@pld-linux.org> dac08dd
- obsoleted with 1.3.0

* Thu Jan 03 2008 shadzik <shadzik@pld-linux.org> 6c1e8fd
- clean up

* Thu Jan 03 2008 jezik <jezik@pld-linux.org> 53ad3e0
- added missing i18n files

* Thu Jan 03 2008 jezik <jezik@pld-linux.org> f87db5f
- added missing SCRIPTDIR

* Thu Jan 03 2008 jezik <jezik@pld-linux.org> 7a0efa6
- up to 1.3.0
- patch0 is not applicable

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dbf5794
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7bdf77a
- converted to UTF-8

* Mon May 15 2006 Karol Krenski <charles@pld-linux.org> abc1fe1
- more useful options

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 8372ec2
- orphaned, outdated

* Tue Feb 14 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> 60231ae
- updated to 1.2.8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 8ee0069
- adapterized (sorted %verify attrs)

* Thu May 26 2005 Andrzej Zawadzki <zawadaa@gmail.com> f2ceb8c
- obsolete

* Thu May 26 2005 Andrzej Zawadzki <zawadaa@gmail.com> 3164ce4
- up to 1.2.7, cleanups

